Bug 1173100 - [abrt] systemd: log_assert_failed_unreachable(): systemctl killed by SIGABRT
Summary: [abrt] systemd: log_assert_failed_unreachable(): systemctl killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4bd7c0f1b29108083f55bf4b51b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 13:10 UTC by Amol
Modified: 2015-04-05 15:36 UTC (History)
16 users (show)

Fixed In Version: systemd-216-13.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 06:13:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (5.41 KB, text/plain)
2014-12-11 13:12 UTC, Amol
no flags Details
File: build_ids (492 bytes, text/plain)
2014-12-11 13:13 UTC, Amol
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-11 13:13 UTC, Amol
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2014-12-11 13:13 UTC, Amol
no flags Details
File: dso_list (1.06 KB, text/plain)
2014-12-11 13:13 UTC, Amol
no flags Details
File: environ (1.84 KB, text/plain)
2014-12-11 13:13 UTC, Amol
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-11 13:14 UTC, Amol
no flags Details
File: maps (5.33 KB, text/plain)
2014-12-11 13:15 UTC, Amol
no flags Details
File: open_fds (135 bytes, text/plain)
2014-12-11 13:15 UTC, Amol
no flags Details
File: proc_pid_status (908 bytes, text/plain)
2014-12-11 13:15 UTC, Amol
no flags Details
File: var_log_messages (29 bytes, text/plain)
2014-12-11 13:15 UTC, Amol
no flags Details

Description Amol 2014-12-11 13:10:55 UTC
Version-Release number of selected component:
systemd-216-12.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        shutdown -rf now
crash_function: log_assert_failed_unreachable
executable:     /usr/bin/systemctl
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 log_assert_failed_unreachable at ../src/shared/log.c:723
 #3 shutdown_parse_argv at ../src/systemctl/systemctl.c:6450
 #4 parse_argv at ../src/systemctl/systemctl.c:6620

Comment 1 Amol 2014-12-11 13:12:16 UTC
Created attachment 967219 [details]
File: backtrace

Comment 2 Amol 2014-12-11 13:13:02 UTC
Created attachment 967220 [details]
File: build_ids

Comment 3 Amol 2014-12-11 13:13:05 UTC
Created attachment 967221 [details]
File: cgroup

Comment 4 Amol 2014-12-11 13:13:10 UTC
Created attachment 967222 [details]
File: core_backtrace

Comment 5 Amol 2014-12-11 13:13:17 UTC
Created attachment 967223 [details]
File: dso_list

Comment 6 Amol 2014-12-11 13:13:31 UTC
Created attachment 967224 [details]
File: environ

Comment 7 Amol 2014-12-11 13:14:04 UTC
Created attachment 967225 [details]
File: limits

Comment 8 Amol 2014-12-11 13:15:15 UTC
Created attachment 967226 [details]
File: maps

Comment 9 Amol 2014-12-11 13:15:18 UTC
Created attachment 967227 [details]
File: open_fds

Comment 10 Amol 2014-12-11 13:15:21 UTC
Created attachment 967228 [details]
File: proc_pid_status

Comment 11 Amol 2014-12-11 13:15:24 UTC
Created attachment 967229 [details]
File: var_log_messages

Comment 12 Jan Synacek 2014-12-11 14:45:24 UTC
Right, this is easily reproducible. Running "shutdown -rf now" as root triggers the crash.

Comment 14 Fedora Update System 2014-12-19 09:38:40 UTC
systemd-216-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/systemd-216-13.fc21

Comment 15 Fedora Update System 2014-12-20 08:40:00 UTC
Package systemd-216-13.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-216-13.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17330/systemd-216-13.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-01-06 06:13:41 UTC
systemd-216-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.